# BEGIN SourceDeps(oneline):
BuildRequires: rpm-build-python3
# END SourceDeps(oneline)
Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Remote control through Wi-Fi or bluetooth connection
Name: anyremote
Version: 6.7.3
Release: alt2_13
License: GPL-3.0-or-later
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/
Requires: bc,wmctrl,ImageMagick-tools,anyremote-data >= 6.7.3
BuildRequires: gcc bluez libbluez-devel, libX11-devel, libXi-devel, libXtst-devel, xorg-proto-devel glib2-devel libgio libgio-devel, libdbus-devel >= 1.2.24, libdbus-glib-devel >= 0.86, libavahi-devel >= 0.6.25
Source44: import.info

%description
Remote control software for applications using Wi-Fi or Bluetooth.

%prep
%setup -q

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%package data
Summary: Configuration files for anyRemote
Group: System/Base

%description data
Configuration files for anyRemote

%files data
%{_datadir}/%{name}

%package doc
Summary: Documentation for anyRemote
Group: System/Base
BuildArch: noarch

%description doc
Documentation for anyRemote

%files doc
%doc %{_defaultdocdir}/%{name}


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 6.7.3-alt2_13
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 6.7.3-alt2_11
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 6.7.3-alt2_9
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 6.7.3-alt2_7
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 6.7.3-alt2_6
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 6.7.3-alt2_5
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 6.7.3-alt2_4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 6.7.3-alt1_4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 6.7.3-alt1_2
- update to new release by fcimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 6.7.3-alt1_1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 6.7.2-alt1_3
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 6.7.2-alt1_2
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 6.7.2-alt1_1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 6.7.1-alt1_3
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 6.7.1-alt1_2
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 6.7.1-alt1_1
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 6.6.1-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 6.6.1-alt1_2
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 6.6.1-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 6.5-alt1_3
- update to new release by fcimport

* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 6.5-alt1_2
- new version

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 6.4-alt1_3
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 6.4-alt1_2
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 6.4-alt1_1
- update to new release by fcimport

* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 6.2-alt1_1
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 6.1.1-alt1_1
- update to new release by fcimport

* Mon Oct 15 2012 Igor Vlasenko <viy@altlinux.ru> 6.1-alt1_2
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 6.0-alt1_2
- update to new release by fcimport

* Tue Dec  2 2008 Terechkov Evgenii <evg@altlinux.ru> 4.12-alt1
- 4.12
- Buildrequires updated to fix build

* Sun Jul 27 2008 Terechkov Evgenii <evg@altlinux.ru> 4.6-alt1
- 4.6

* Sun Mar 23 2008 Terechkov Evgenii <evg@altlinux.ru> 4.4-alt1
- 4.4
- BuildRequires updated
- New package %name-X11 builded with xautomation support
- J2ME part moved to %name-j2me package (upstream license issues)
- Obsoleted Patch1 removed (fixed in upstream)

* Wed Jan  2 2008 Terechkov Evgenii <evg@altlinux.ru> 4.0-alt1
- 4.0
- Patch1 added to fix build
- BuildRequires updated
- Russian translations removed from spec (Specspo)

* Fri Aug 24 2007 Terechkov Evgenii <evg@altlinux.ru> 3.1-alt1
- 3.1

* Sat Jun 23 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt3
- Spec cleanup

* Thu Jun 14 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt2
- Russian summary and description removed (Specspo)

* Wed May 30 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt1
- 2.12
- Doubled anyRemote.ja[dr] files removed. Look for them in doc-html dir

* Thu Apr 26 2007 Terechkov Evgenii <evg@altlinux.ru> 2.11-alt1
- 2.11

* Tue Apr 24 2007 Terechkov Evgenii <evg@altlinux.ru> 2.11-alt0
- 2.11-alpha
- Patch1 removed (fixed in  upstream)

* Thu Apr 12 2007 Terechkov Evgenii <evg@altlinux.ru> 2.9-alt2
- Patch1 added to fix "Too many open files" crash and set rigth files place

* Sun Mar 11 2007 Terechkov Evgenii <evg@altlinux.ru> 2.9-alt1
- 2.9
- LDADD="-lbluetooth" added to fix --as-needed

* Wed Nov 01 2006 Artem Zolochevskiy <azol@altlinux.ru> 1.4-alt1
- new version
- added russian description & summary

* Mon Oct 23 2006 Artem Zolochevskiy <azol@altlinux.ru> 1.3-alt1
 - initial build for Sisyphus
